> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getAvailabilityByCriteria



## OpenAPI

````yaml /openapi/transportsoa-api.openapi.json get /rentalapi/v1/getAvailabilityByCriteria
openapi: 3.0.0
info:
  description: >-
    TransportSOA API for rental availability, quotes, reservations, and
    transport-related test utilities.
  version: '1.0'
  title: TransportSOA API
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: //tstest.websitetravel.com/transportsoa
security: []
tags:
  - name: rental-controller
    description: Rental Controller
  - name: test-controller
    description: Test Controller
paths:
  /rentalapi/v1/getAvailabilityByCriteria:
    get:
      tags:
        - rental-controller
      summary: getAvailabilityByCriteria
      operationId: getAvailabilityByCriteriaUsingGET
      parameters:
        - name: campaignCode
          in: query
          description: campaignCode
          required: false
          schema:
            type: string
        - name: driverAge
          in: query
          description: driverAge
          required: true
          schema:
            type: string
        - name: dropOffDate
          in: query
          description: dropOffDate
          required: true
          schema:
            type: string
            format: date
        - name: dropOffLocationName
          in: query
          description: dropOffLocationName
          required: true
          schema:
            type: string
        - name: pickUpDate
          in: query
          description: pickUpDate
          required: true
          schema:
            type: string
            format: date
        - name: pickUpLocationName
          in: query
          description: pickUpLocationName
          required: true
          schema:
            type: string
        - name: vehicleType
          in: query
          description: vehicleType
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/SuccessResponseDTO_List_AvailabilityResponse_
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      deprecated: false
components:
  schemas:
    SuccessResponseDTO_List_AvailabilityResponse_:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AvailabilityResponse'
        message:
          type: string
        status:
          type: integer
          format: int32
      title: SuccessResponseDTO«List«AvailabilityResponse»»
    AvailabilityResponse:
      type: object
      properties:
        agentCommissionRate:
          type: number
          format: float
        agentPaymentType:
          type: integer
          format: int64
        availability:
          type: string
        availableMessage:
          type: string
        campaignCode:
          type: string
        campaignId:
          type: string
        categoryCode:
          type: string
        dailyRate:
          $ref: '#/components/schemas/PriceResponse'
        dealText:
          type: string
        description:
          type: string
        discountPercentageApplied:
          type: number
          format: float
        dropOffLocationAddress:
          $ref: '#/components/schemas/LocationDTO'
        dropOffTimes:
          type: array
          items:
            type: string
        id:
          type: string
        isAfterHourPickUp:
          type: boolean
        isAfterHoursDropOffAvailable:
          type: boolean
        isAfterHoursPickUpAvailable:
          type: boolean
        mandatoryFees:
          type: array
          items:
            $ref: '#/components/schemas/ItemResponse'
        minimumHirePeriod:
          type: string
        name:
          type: string
        pickUpLocationAddress:
          $ref: '#/components/schemas/LocationDTO'
        pickupTimes:
          type: array
          items:
            type: string
        rentalDays:
          type: integer
          format: int64
        source:
          type: string
        total:
          $ref: '#/components/schemas/PriceResponse'
        type:
          type: string
        typeSlug:
          type: string
      title: AvailabilityResponse
    PriceResponse:
      type: object
      properties:
        currencyCode:
          type: string
        value:
          type: number
          format: float
      title: PriceResponse
    LocationDTO:
      type: object
      properties:
        siteAddress:
          $ref: '#/components/schemas/AddressDTO'
        siteLocation:
          type: string
      title: LocationDTO
    ItemResponse:
      type: object
      properties:
        allowMultiple:
          type: boolean
        category:
          type: string
        commissionable:
          type: boolean
        description:
          type: string
        excess:
          $ref: '#/components/schemas/PriceResponse'
        excessType:
          type: string
        gst:
          type: boolean
        isDefault:
          type: boolean
        isMandatory:
          type: boolean
        isPercentageOnTotalCost:
          type: boolean
        maxPrice:
          $ref: '#/components/schemas/PriceResponse'
        name:
          type: string
        numberOfDaysCalculated:
          type: integer
          format: int32
        payAgency:
          type: boolean
        price:
          $ref: '#/components/schemas/PriceResponse'
        productCode:
          type: string
        productId:
          type: string
        productType:
          type: string
        qty:
          type: integer
          format: int32
        rentalDays:
          type: integer
          format: int32
        stampduty:
          type: boolean
        total:
          $ref: '#/components/schemas/PriceResponse'
      title: ItemResponse
    AddressDTO:
      type: object
      properties:
        City:
          type: string
        Country:
          type: string
        Latitude:
          type: number
          format: double
        Line1:
          type: string
        Longitude:
          type: number
          format: double
        Name:
          type: string
        PostCode:
          type: string
      title: AddressDTO

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.